//
// Testet den Hauptcode, verwaltet die Spieler
//

import java.util.ArrayList;

class LottoSpiel {
	public static void main (String[] args) {

		// Objekte erzeugen
		LottoGesellschaft westLotto = new LottoGesellschaft ();
		Benutzereingabe eingabe = new Benutzereingabe ();		// Code-Fertiggericht aus dem Buch
			
		int[] lottoZahlen = new int[6];							// Zwischenspeicher-Array fuer Lottozahlen des Spielers
		
		// Die Benutzer sollen in einer ArrayList gespeichert werden
		ArrayList<LottoTipp> alleTipps = new ArrayList<LottoTipp> ();


		// immer wieder Spieler hinzufuegen, bis "nein" eingegeben wird
		// ...		
		do {
			// Hinweis fuer die Spieler ausgeben
			System.out.println ("Wir nehmen nur gueltige Zahlen zwischen 1 und 49. Die Westlotto-Gesellschaft.");

			// ...
			
			// Lottozahlen eingeben und als int speichern
			for (int zahl = 0; zahl < 6; zahl++) {
				lottoZahlen[zahl] = Integer.parseInt (eingabe.getBenutzereingabe ("Geben Sie Ihre " + (zahl + 1) + " Zahl ein:"));
			}

			// neuen Spieler nur dann hinzufuegen, wenn er einen gueltigen Tipp abgegeben hat
			// ...
			
			// einfache ja / nein Abfrage, ob weitere Spieler aufgenommen werden sollen
			// ...

		} while ( //... );
		
		// alle Spieler mit ihren Tipps ausgeben
		// ...
		
		System.out.print ("Folgende Gewinnzahlen wurden gezogen: ");
		westLotto.zieheGewinnzahlen ();							// Gewinnzahlen ziehen
		for (int zahl : westLotto.getGewinnzahlen ()) {			// Gewinnzahlen ausgeben
			System.out.print (zahl + " ");
		}
		System.out.println ();		
	}
}